KDK_BIOS_FREE(3)

NAME
kdk_bios_free - 释放内存

SYNOPSIS
#include <libkybios.h>

extern void kdk_bios_free(char *info);

Link with -lkyhw.

Detailed Description
The main function of this interface is to release the string returned by the bios module interface.

The argument info is the return value of the kdk_bios_get_vendor or kdk_bios_get_version of the functions

RETURN VALUE
No return value

EXAMPLES
    #include "stdio.h"
    #include "libkybios.h"
    #include <stdlib.h>

int main()
{
    char *vendor = kdk_bios_get_vendor();
    char *version = kdk_bios_get_version();
    printf("vendor: %s", vendor);
    printf("version: %s",version);
    kdk_bios_free(vendor);
    kdk_bios_free(version);
    return 0;
}

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_bios_get_version(). and kdk_bios_get_vendor().

SEE ALSO
kdk_bios_get_version(3). and kdk_bios_get_vendor(3).